using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

//dodane
using System.Collections;
using System.IO;

namespace PlikiTekstowe
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public static string[] CzytajPlikTekstowy(string nazwaPliku)
        {
            ArrayList tekst = new ArrayList();
            try
            {
                using (StreamReader sr = new StreamReader(nazwaPliku))
                {
                    string wiersz;
                    while ((wiersz = sr.ReadLine()) != null)
                        tekst.Add(wiersz);
                }
                return (string[])tekst.ToArray(typeof(string));
            }
            catch (Exception e)
            {
                MessageBox.Show("Błąd odczytu pliku " + nazwaPliku+" ("+e.Message+")");
                return null;
            }
        }

        private void fileListBox1_FileDoubleClicked(object sender, EventArgs e, string fileName)
        {
            textBox1.Lines = CzytajPlikTekstowy(fileName);
            if (textBox1.Lines != null)
                Text = "Przeglądarka plików tesktowych - " + fileName.Substring(fileName.LastIndexOf('\\')+1);
        }
    }
}